API referenceBidding XBID
POST /api/XBID/BestBidOfferCurveByContractId
Returns the current buy and sell price levels for one delivery contract. Use it to analyse available liquidity and the spread before choosing an order price.
POST
/api/XBID/BestBidOfferCurveByContractIdcurl -X POST "/api/XBID/BestBidOfferCurveByContractId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int32>
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDBestBidOfferCurveDto
{
"success": true,
"recordCount": 0,
"data": {
"contractId": 0,
"buy": [
{
"price": 0,
"quantity": 0,
"orderCount": 0
}
],
"sell": [
{
"price": 0,
"quantity": 0,
"orderCount": 0
}
]
}
}